void main()
{
    int[] a = [0, 10, 20, 30, 40, 50, 60, 70];
    auto b = a[4 .. $];
    a = a[0 .. 4];
    // Сей­час a и b при­мы­ка­ют друг к дру­гу
    a ~= [0, 0, 0, 0];
    assert(b == [40, 50, 60, 70]); // Тест прой­ден; мас­сив a был пе­ре­не­сен в но­вую об­ласть па­мя­ти
}
